﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace ConsoleApplication_LinqAndXmlNs
{
    class Program
    {
        static void Main(string[] args)
        {
            string xmldata = "../../sample.xml";
            XElement root = XElement.Load(xmldata);
            XNamespace nspace = root.Name.Namespace;

            //名前空間を指定しない場合、取得できていないことを確認する
            //IEnumerable<XElement> items = root.Elements("Items");
            //IEnumerable<XElement> item = root.Descendants("Item");

            //名前空間を指定しなければ取得できない
            IEnumerable<XElement> items = root.Elements(nspace + "Items");
            IEnumerable<XElement> item = root.Descendants(nspace + "Item");

            Console.WriteLine("items : " + items.Count());
            Console.WriteLine("item : " + item.Count());

            Console.ReadLine();

        }
    }
}
